com.jogamp.opengl.util.av

## Interface GLMediaPlayer.GLMediaEventListener

- All Superinterfaces:
    TextureSequence.TexSeqEventListener<GLMediaPlayer>
  Enclosing interface:
    GLMediaPlayer

      public static interface GLMediaPlayer.GLMediaEventListener
      extends TextureSequence.TexSeqEventListener<GLMediaPlayer>

  As the contract of `TexSeqEventListener` requests, implementations of `GLMediaPlayer.GLMediaEventListener` shall also:

  - off-load complex or `GLMediaPlayer` commands on another thread, or
  - simply changing a volatile state of their `GLEventListener` implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EVENT_CHANGE_AID` Stream audio id change.
    `static int` | `EVENT_CHANGE_BPS` Stream bps change.
    `static int` | `EVENT_CHANGE_CODEC` Stream codec change.
    `static int` | `EVENT_CHANGE_EOS` End of stream reached.
    `static int` | `EVENT_CHANGE_ERR` An error occurred, e.g.
    `static int` | `EVENT_CHANGE_FPS` Stream fps change.
    `static int` | `EVENT_CHANGE_INIT` State changed to `GLMediaPlayer.State.Initialized`.
    `static int` | `EVENT_CHANGE_LENGTH` Stream length change.
    `static int` | `EVENT_CHANGE_PAUSE` State changed to `GLMediaPlayer.State.Paused`.
    `static int` | `EVENT_CHANGE_PLAY` State changed to `GLMediaPlayer.State.Playing`.
    `static int` | `EVENT_CHANGE_SIZE` TextureFrame size or vertical flip change.
    `static int` | `EVENT_CHANGE_UNINIT` State changed to `GLMediaPlayer.State.Uninitialized`.
    `static int` | `EVENT_CHANGE_VID` Stream video id change.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attributesChanged(GLMediaPlayer mp, int event_mask, long when)`

    - ### Methods inherited from interface com.jogamp.opengl.util.texture.TextureSequence.TexSeqEventListener

      `newFrameAvailable`

- - ### Field Detail

    - #### EVENT_CHANGE_INIT

          static final int EVENT_CHANGE_INIT

      State changed to `GLMediaPlayer.State.Initialized`. See Lifecycle.
      See Also:
        Constant Field Values

    - #### EVENT_CHANGE_UNINIT

          static final int EVENT_CHANGE_UNINIT

      State changed to `GLMediaPlayer.State.Uninitialized`. See Lifecycle.
      See Also:
        Constant Field Values

    - #### EVENT_CHANGE_PLAY

          static final int EVENT_CHANGE_PLAY

      State changed to `GLMediaPlayer.State.Playing`. See Lifecycle.
      See Also:
        Constant Field Values

    - #### EVENT_CHANGE_PAUSE

          static final int EVENT_CHANGE_PAUSE

      State changed to `GLMediaPlayer.State.Paused`. See Lifecycle.
      See Also:
        Constant Field Values

    - #### EVENT_CHANGE_EOS

          static final int EVENT_CHANGE_EOS

      End of stream reached. See Lifecycle.
      See Also:
        Constant Field Values

    - #### EVENT_CHANGE_ERR

          static final int EVENT_CHANGE_ERR

      An error occurred, e.g. during off-thread initialization. See `GLMediaPlayer.StreamException` and Lifecycle.
      See Also:
        Constant Field Values

    - #### EVENT_CHANGE_VID

          static final int EVENT_CHANGE_VID

      Stream video id change.
      See Also:
        Constant Field Values

    - #### EVENT_CHANGE_AID

          static final int EVENT_CHANGE_AID

      Stream audio id change.
      See Also:
        Constant Field Values

    - #### EVENT_CHANGE_SIZE

          static final int EVENT_CHANGE_SIZE

      TextureFrame size or vertical flip change.
      See Also:
        Constant Field Values

    - #### EVENT_CHANGE_FPS

          static final int EVENT_CHANGE_FPS

      Stream fps change.
      See Also:
        Constant Field Values

    - #### EVENT_CHANGE_BPS

          static final int EVENT_CHANGE_BPS

      Stream bps change.
      See Also:
        Constant Field Values

    - #### EVENT_CHANGE_LENGTH

          static final int EVENT_CHANGE_LENGTH

      Stream length change.
      See Also:
        Constant Field Values

    - #### EVENT_CHANGE_CODEC

          static final int EVENT_CHANGE_CODEC

      Stream codec change.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### attributesChanged

          void attributesChanged(GLMediaPlayer mp,
                               int event_mask,
                               long when)

      Parameters:
        `mp` - the event source
        `event_mask` - the changes attributes
        `when` - system time in msec.

Copyright 2010 JogAmp Community.